feldspar-compiler-0.4.0.2: Compiler for the Feldspar language

Feldspar.NameExtractor

# Documentation

data OriginalFunctionSignature

Constructors

OriginalFunctionSignature |
Fields originalFunctionName :: String originalParameterNames :: [Maybe String]

Instances

Eq OriginalFunctionSignature |
Show OriginalFunctionSignature |

stripFunBind :: Decl -> OriginalFunctionSignature

stripPattern :: Pat -> Maybe String

stripName :: Name -> String

getModuleName :: String -> String

getFullDeclarationListWithParameterList :: String -> [OriginalFunctionSignature]

functionNameNeeded :: String -> Bool

stripUnnecessary :: [String] -> [String]

printParameterListOfFunction :: FilePath -> String -> IO [Maybe String]

getDeclarationList :: String -> [String]

getExtendedDeclarationList :: String -> [OriginalFunctionSignature]

getParameterListOld :: String -> String -> [Maybe String]

getParameterList :: FilePath -> String -> IO [Maybe String]